Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::ModbusValueEncoding32 Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::ModbusValueEncoding32:

## Public Attributes
ModbusEndianness | endianness
| Modbus 16-bit-words should be transmitted in big endian order. More...
Public Attributes inherited from peripheral::GatewaySensorManager::ModbusValueEncoding8
boolean | byteSwap
| 16-bit modbus words should be transferred in big-endian byte order. More...
long | mask
| mask raw value before interpreting (0 = not masked, the same as 0xFFFF...)
Public Attributes inherited from peripheral::GatewaySensorManager::NumericValueEncoding
float | scalingFactor
| multiply with when interpreting as numeric value
float | offset
| add value after applying scalingFactor
Public Attributes inherited from peripheral::GatewaySensorManager::ValueEncoding
string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value inerpretation rules

## Member Data Documentation

## ◆ endianness

ModbusEndianness peripheral::GatewaySensorManager::ModbusValueEncoding32::endianness

Modbus 16-bit-words should be transmitted in big endian order.

For modbus devices that do not comply with this, endianness must be set to LITTLE_ENDIAN.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl